package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.db.dal.seeds.SeedsLandDal;
import cn.net.caoyao.cpzshandset.db.presenter.LandDal;

/** 
 * @author  作者 李扬: 
 * @date 创建时间：2017-3-28 上午11:02:27 
 * @version 1.0 
 * @parameter 
 * @since  目前只有种子在用
 * @return  
 */
public class LandConfigCreateTools {
	
	
	public LandDal createLandDal(int handsetVersionMode, Context context){
		LandDal dal = null ;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版 
			
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			dal = new SeedsLandDal(context);
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
			//云天化图片版
		case HandsetVersionConstant.HANDSET_YTH_IMAGE_VERSION_MODE:
			
			break;

		}
		
		
		return dal;
	}

}
